umbrello: AssociationWidgetRole Class Reference

umbrello 25.08.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Public Attributes | Private Attributes | List of all members
AssociationWidgetRole Class Reference

`#include <associationwidgetrole.h>`

## Public Member Functions
| AssociationWidgetRole ()
void | setParent (AssociationWidget *parent)
void | cleanup ()
void | setFont (const QFont &font)
UMLWidget * | onWidget (const QPointF &p)
void | setSelected (bool select)
void | clipSize ()
void | saveToXMI (QXmlStreamWriter &writer)
bool | loadFromXMI (QDomElement &qElement, const QString &suffix)
bool | getStartMove ()

## Public Attributes
FloatingTextWidget * | multiplicityWidget
| information regarding multiplicity
FloatingTextWidget * | changeabilityWidget
| information regarding changeability
FloatingTextWidget * | roleWidget
| role's label of this association
QPointer< UMLWidget > | umlWidget
| UMLWidget at this role's side of this association.
Uml::Region::Enum | m_WidgetRegion
| region of this role's widget
int | m_nIndex
| the index of where the line is on the region for this role
int | m_nTotalCount
| total amount of associations on the region this role's line is on
Uml::Visibility::Enum | visibility
Uml::Changeability::Enum | changeability
QString | roleDocumentation

## Private Attributes
AssociationWidget * | m_q

## Detailed Description

The AssociationWidgetRole struct gathers all information pertaining to the role. The AssociationWidget class contains two AssociationWidgetRole objects, one for each side of the association (A and B).

## Constructor & Destructor Documentation

## ◆ AssociationWidgetRole()

AssociationWidgetRole::AssociationWidgetRole | ( |  | ) |

## Member Function Documentation

## ◆ cleanup()

void AssociationWidgetRole::cleanup | ( |  | ) |

## ◆ clipSize()

void AssociationWidgetRole::clipSize | ( |  | ) |

## ◆ getStartMove()

bool AssociationWidgetRole::getStartMove | ( |  | ) |

## ◆ loadFromXMI()

bool AssociationWidgetRole::loadFromXMI | ( | QDomElement & | qElement,
|  | const QString & | suffix )

## ◆ onWidget()

UMLWidget * AssociationWidgetRole::onWidget | ( | const QPointF & | p | ) |

Check owned floating texts

Parameters

  p | Point to be checked

Returns
  pointer to widget at the provided point p
  0 if no widget found

## ◆ saveToXMI()

void AssociationWidgetRole::saveToXMI | ( | QXmlStreamWriter & | writer | ) |

## ◆ setFont()

void AssociationWidgetRole::setFont | ( | const QFont & | font | ) |

## ◆ setParent()

void AssociationWidgetRole::setParent | ( | AssociationWidget * | parent | ) |
| inline

## ◆ setSelected()

void AssociationWidgetRole::setSelected | ( | bool | select | ) |

Sets the state of whether the widget is selected.

Parameters

  select | The state of whether the widget is selected.

## Member Data Documentation

## ◆ changeability

Uml::Changeability::Enum AssociationWidgetRole::changeability

## ◆ changeabilityWidget

FloatingTextWidget* AssociationWidgetRole::changeabilityWidget

information regarding changeability

## ◆ m_nIndex

int AssociationWidgetRole::m_nIndex

the index of where the line is on the region for this role

## ◆ m_nTotalCount

int AssociationWidgetRole::m_nTotalCount

total amount of associations on the region this role's line is on

## ◆ m_q

AssociationWidget* AssociationWidgetRole::m_q
| private

## ◆ m_WidgetRegion

Uml::Region::Enum AssociationWidgetRole::m_WidgetRegion

region of this role's widget

## ◆ multiplicityWidget

FloatingTextWidget* AssociationWidgetRole::multiplicityWidget

information regarding multiplicity

## ◆ roleDocumentation

QString AssociationWidgetRole::roleDocumentation

## ◆ roleWidget

FloatingTextWidget* AssociationWidgetRole::roleWidget

role's label of this association

## ◆ umlWidget

QPointer<UMLWidget> AssociationWidgetRole::umlWidget

UMLWidget at this role's side of this association.

## ◆ visibility

Uml::Visibility::Enum AssociationWidgetRole::visibility

The documentation for this class was generated from the following files:

- umbrello/umlwidgets/associationwidgetrole.h
- umbrello/umlwidgets/associationwidgetrole.cpp